﻿#include "pch.h"
#include "Cinema.Plugin.h"

CinemaPlugin::~CinemaPlugin() {

};

HRESULT __stdcall CinemaPlugin::QueryInterface(REFIID riid, void** ppvObject)
{
    if (riid == IID_IUnknown)
    {
        *ppvObject = this;
        AddRef();
        return NOERROR;
    }
    return E_NOINTERFACE;
}

ULONG __stdcall CinemaPlugin::AddRef(void)
{
    return ++Counter;
}

ULONG __stdcall CinemaPlugin::Release(void)
{
    if (--Counter == 0)
    {
        delete this;
        return 0;
    }
    return Counter;
}

void* __stdcall CinemaPlugin::CreateDataStreamProcessor(TDataStream AInputDataStream, int ANumberInput)
{
    return nullptr;
}

void __stdcall CinemaPlugin::ProcessDataStream(void* AProcessor, byte* AData, __int64 ASize)
{

}

void __stdcall CinemaPlugin::DestroyDataStreamProcessor(void* AProcessor)
{

}

void __stdcall CinemaPlugin::RedrawView()
{

}
