﻿unit Cinema.Attributes.Constants;

interface

const
  // System
  csAttrClientAddress         = 1;
  csAttrClientPort            = 2;
  csAttrClientHandle          = 3;
  csAttrDateTimeScenarioStart = 4;
  csAttrScenarioName          = 5;
  csAttrHostScenarioExecution = 6;
  csAttrServerAddress         = 7;
  csAttrServerPort            = 8;
  csAttrListParams            = 9;
  csAttrQRCodeBase64          = 10;
  csAttrServerHandle          = 11;
  csAttrVersion               = 12;
  csAttrGuid                  = 13;
  csAttrResult                = 14;
  csAttrKey                   = 15;
  csAttrClientScenarioVersion = 16;
  csAttrOsName                = 17;
  csAttrOsVersion             = 18;

  // Data base
  cdAttrBdVendorPath          = 55;
  csAttrBdConnectionString    = 56;
  csAttrBdSqlBeforeWork       = 57;

  // Network.ip
  csAttrHostName              = 100;
  csAttrIpAddress             = 101;
  csAttrBlockGuid             = 102;
  csAttrSessionGuid           = 103;
  csAttrBadHash               = 104;
  csAttrHashBlock             = 105;
  csAttrHashFile              = 106;
  csAttrMagnetReferenceDto    = 107;
  csAttrMagnetReferenceName   = 109;
  csAttrMagnetReferenceSize   = 110;
  csAttrMagnetReferenceSizeRcv = 111;

  // Network.http
  csAttrHttpVersion           = 120;
  csAttrHttpResponse          = 121;
  csAttrHttpMethod            = 122;
  csAttrHttpHostName          = 123;
  csAttrHttpContentType       = 124;
  csAttrHttpUrl               = 125;
  csAttrHttpUrlParams         = 126;

  // Files
  csAttrFileName              = 200;
  csAttrFileExtention         = 201;
  csAttrSubfolder             = 202;
  csAttrSizeBlock             = 203;
  csAttrSizeFile              = 204;


  csAttrResultValueSuccess: WideString = 'ok';
  csAttrResultValueFail: WideString    = 'fail';

implementation

end.
